Bug 860355 - RFE: csv import option for admin privilege on systems in a group
RFE: csv import option for admin privilege on systems in a group
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
GroupModel
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 13:06 EDT by Praveen Arimbrathodiyil
Modified: 2013-12-17 21:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 21:22:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Praveen Arimbrathodiyil 2012-09-25 13:06:44 EDT
Description of problem:

Currently you have to manually enable admin access to systems in a group. If there is a large number of systems in a group, this would lead to manually enabling admin access to each system in the group.

Please add this option to CSV import types so that these manual steps can be automated.
Comment 1 Marco Grigull 2012-10-12 01:55:21 EDT
would it be better to add this sort of functionality into bkr cmd line client so that is can be driven by (some custom shell) scripts?
Comment 4 Dan Callaghan 2013-12-17 21:22:25 EST
As of Beaker 0.15 the "admin group" functionality has been replaced with access policies, including CLI commands to modify the policies (bkr policy-grant, bkr policy-revoke, bkr policy-list). So I think we can consider this RFE covered.

Note You need to log in before you can comment on or make changes to this bug.